Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.webservice.deployment
Class OperationDescription.Parameter

    java.lang.Object
      org.jboss.webservice.deployment.OperationDescription.Parameter

Enclosing class:
  OperationDescription

public static class OperationDescription.Parameter
extends Object

Constructor Summary
`OperationDescription.Parameter(String name, javax.xml.namespace.QName qname, String mode, javax.xml.namespace.QName type)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getMode()`
`String` | `getName()`
`javax.xml.namespace.QName` | `getQName()`
`javax.xml.namespace.QName` | `getType()`
`int` | `hashCode()`
`boolean` | `isInHeader()`
`boolean` | `isOutHeader()`
`void` | `setInHeader(boolean inHeader)`
`void` | `setMode(String mode)`
`void` | `setOutHeader(boolean outHeader)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OperationDescription.Parameter

    public OperationDescription.Parameter(String name,
                                          javax.xml.namespace.QName qname,
                                          String mode,
                                          javax.xml.namespace.QName type)

Method Detail

### getName

    public String getName()

### getQName

    public javax.xml.namespace.QName getQName()

### getType

    public javax.xml.namespace.QName getType()

### getMode

    public String getMode()

### setMode

    public void setMode(String mode)

### isInHeader

    public boolean isInHeader()

### setInHeader

    public void setInHeader(boolean inHeader)

### isOutHeader

    public boolean isOutHeader()

### setOutHeader

    public void setOutHeader(boolean outHeader)

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.